package com.leospa.properties;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Properties;

public class ColorPropertiesFile {

	public static String Massage_Color;
	public static String Time_Text_Color;
	public static String Day_Text_Color;
	public static String Date_Text_Color;
	public static String Day_BG_Color;
	public static String Popup_Text_Color;
	public static String Popup_BG_Color;
	public static String Popup_Header_BG_Color;
	public static String Popup_Other_Text_Color;
	public static String Popup_Stop_Button_BG_Color;
	public static String Popup_Stop_Button_Text_Color;
	public static String Popup_Next_Button_BG_Color;
	public static String Popup_Next_Button_Text_Color;
	public static String Left_Button_Color;
	public static String Left_Button_Text_Color;
	public static String Right_Button_Color;
	public static String Right_Button_Text_Color;
	public static String Timer_Button_Color;
	public static String Timer_Button_Text_Color;
	public static String YELLOW;
	public static String YELLOW2;
	
	static {
		Properties prop = new Properties();
		FileInputStream input = null;
		try {

			input = new FileInputStream("./color.properties");
			BufferedReader in = new BufferedReader(new InputStreamReader(input, "UTF8"));
			prop.load(in);
			Massage_Color = prop.getProperty("Massage_Color");
			Time_Text_Color =  prop.getProperty("Time_Text_Color");
			Day_Text_Color =  prop.getProperty("Day_Text_Color");
			Date_Text_Color =  prop.getProperty("Date_Text_Color");
			Day_BG_Color =  prop.getProperty("Day_BG_Color");
			Popup_Text_Color=  prop.getProperty("Popup_Text_Color");
			Popup_BG_Color=  prop.getProperty("Popup_BG_Color");
			Popup_Header_BG_Color=  prop.getProperty("Popup_Header_BG_Color");
			Popup_Other_Text_Color =  prop.getProperty("Popup_Other_Text_Color");
			Popup_Stop_Button_BG_Color = prop.getProperty("Popup_Stop_Button_BG_Color");
			Popup_Stop_Button_Text_Color = prop.getProperty("Popup_Stop_Button_Text_Color");
			Popup_Next_Button_BG_Color = prop.getProperty("Popup_Next_Button_BG_Color");
			Popup_Next_Button_Text_Color =  prop.getProperty("Popup_Next_Button_Text_Color");
			Left_Button_Color =  prop.getProperty("Left_Button_Color");
			Left_Button_Text_Color =  prop.getProperty("Left_Button_Text_Color");
			Right_Button_Color =  prop.getProperty("Right_Button_Color");
			Right_Button_Text_Color =  prop.getProperty("Right_Button_Text_Color");
			Timer_Button_Color =  prop.getProperty("Timer_Button_Color");
			Timer_Button_Text_Color =  prop.getProperty("Timer_Button_Text_Color");
			YELLOW =  prop.getProperty("Yellow");
			YELLOW2 =  prop.getProperty("Yellow2");
			
		} catch (Exception e) {
			if(ConfigPropertiesFile.DEBUG_MODE_ON == true){e.printStackTrace();}
		} finally {
			if (input != null) {
				try {
					input.close();
				} catch (IOException e) {
					if(ConfigPropertiesFile.DEBUG_MODE_ON == true){e.printStackTrace();}
				}
			}
		}
	}



}

